@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@300;400;500;900&family=Noto+Serif:ital@0;1&&display=swap');
@import url('https://fonts.googleapis.com/css2?family=BIZ+UDPGothic:wght@400;700&display=swap');
:root {
    --width: 75%;
    --maxWidth: 1400px;
    --color1: white;
    --color2: rgb(241 243 244 / 100%);
    --color3: black;
    --color4: rgb(25, 184, 30);
    --color5: rgb(189, 189, 189);
    --color6: rgb(15, 106, 18);
    --color7: rgb(13, 75, 15);
    --color-link: rgb(99, 143, 255);
    --headerHeight: fit-content;
    --footerHeight: calc(400px - var(--headerHeight));
}
html {
    font-size: 10px;
}
/*
body::-webkit-scrollbar {
    display: none;
}
*/

* {
    font-family: 'Noto Sans JP', serif;
    /* font-family: "BIZ UDPGothic", sans-serif; */
    box-sizing: border-box;
}
input[type="text"], select {
    appearance: none;
}
a[href].link {
    position: relative;
    text-decoration: none;
    width: fit-content;
}
a[href].link::after {
    content: "";
    display: block;
    width: 0%;
    height: 0.1em;
    background-color: var(--color1);
    position: absolute;
    left: 0;
    transition: 250ms;
}
a[href]:hover::after, .link:hover::after {
    width: 100%;
}
body {
    margin: 0;
    padding: 0;
    min-height: 100vh;
    position: relative;
    background-color: var(--color1);
}
.title {
    height: 4.2rem;
    pointer-events: none;
    user-select: none;
    display: flex;
    align-items: center;
}
button {
    border: none;
    color: var(--color3);
    font-size: 1.2rem;
    background-color: var(--color2);
    padding: 0.5rem 1rem;
    transition: 250ms;
}
button:hover {
    filter: brightness(0.8);
}

.nothing {
    position: fixed;
    flex-direction: column;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 4rem;
    color: var(--color5);
}
.nothing p {
    text-align: center;
}
.nothing p:first-of-type {
    font-size: 3rem;
}

.iframe {
    width: 100%;
    height: 50vw;
    max-height: 75rem;
    border: none;
}
/*
h1 {
    padding: 0;
    margin: 0;
    font-size: 3.5rem;
    margin: 1.5rem 0;
    font-weight: 500;
}
*/
h1, h2, h3, p {
    letter-spacing: 0.1em;
}
h1 {
    border-bottom: solid 0.3rem var(--color4);
    position: relative;
    padding: 0.5rem 0;
    margin: 0;
    font-size: 3.2rem;
    margin: 1.5rem 0;
    font-weight: 500;
}

h1:after {
    position: absolute;
    content: " ";
    display: block;
    border-bottom: solid 0.3rem var(--color6);
    bottom: -0.3rem;
    width: 20%;
}

h2 {
    padding: 0;
    margin: 0;
    font-size: 3rem;
    margin: 2rem 0;
    font-weight: 500;
    position: relative;
    padding-left: 1rem;
    border-left: solid 5px;
}
h3 {
    padding: 0;
    margin: 0;
    font-size: 2.5rem;
    font-weight: 500;
    margin-top: 1rem;
    margin-bottom: 1rem;
}
p {
    font-size: 2rem;
    font-weight: 300;
    margin: 0.5rem 0;
}
*.sn {
    position: relative;
    display: flex;
    font-size: 0.5em;
    font-weight: 400;
    margin: 0 0.2em;
}
.italic {
    font-style: italic;
}
span.sn, span.sn * {
    flex-direction: row;
    font-family: 'Noto Serif', serif;
    padding:0;
}
.space {
    height: 2rem;
}

/* スクロールバー */

*::-webkit-scrollbar{
    width: 8px;
    height: 5px;
}
*::-webkit-scrollbar-track{
    background-color: var(--color2);
}
*::-webkit-scrollbar-thumb{
    background-color: var(--color5);
}

/* ヘッダー・フッター関連 */

.header {
    color: var(--color2);
    background-color: var(--color7);
    position: sticky;
    top: 0;
    z-index: 5;
    height: var(--headerHeight);
    display: flex;
    align-items: center;
}
.footer {
    border-top: 0.1rem solid rgba(0, 0, 0, 0.098);
    background-color: var(--color1);
    width: 100%;
    position: absolute;
    margin-top: 20px;
    bottom: -20px;
    color: var(--color2);
    background-color: var(--color6);
}
.footer-inner {
    display: flex;
    flex-wrap: wrap;
}
.footer-inner > div {
    display: flex;
    flex-direction: column;
    width: 25%;
    padding: 20px 0;
    font-size: 2rem;
}
.footer-inner > div a::after {
    background-color: var(--color2) !important;
}
.footer-inner > div a:nth-of-type(1) {
    font-size: 1.4em;
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
}
.footer-inner > div a:not(:nth-of-type(1)) {
    font-size: 0.8em;
    padding-bottom: 10px;
    letter-spacing: 0.4rem;
    color: var(--color2) !important;
}
.footer-inner > div a:nth-of-type(1):before {
    content:""; 
    width: 1rem;
    height: 1rem;
    background: var(--color2);
    display: block;
    margin-right: 1rem;
    border-radius: 10%;
    transform: translateY(0.1em);
}
.footer-inner > div a:nth-of-type(1) {
    font-size: 1.4em;
}
.footer-inner > div a:not(:nth-of-type(1)):before {
    content:"»";
}
.inner , .header-inner, .footer-inner {
    width: var(--width);
    max-width: var(--maxWidth);
    margin: 0 auto;
    padding: var(--padding);
    position: relative;
}
.header-inner {
    display: flex;
    align-items: center;
    padding: 1rem 0;
}
.header-inner button {
    background-color: var(--color4);
    color: white;
}

/* 音声再生バー関連 */

.audio-label {
    background-color: var(--color2);
    padding: 0.8rem 2rem;
    display: flex;
    align-items: center;
    position: relative;
    margin-bottom: 0.2rem;
}
.audio-label > .audio-title * {
    font-size: 1.2rem;
    text-overflow: ellipsis;
}
.audio-label > .audio-title p {
    font-size: 1.8rem;
}
.audio-label > .audio-title {
    font-size: 1.8rem;
    display: flex;
    flex-direction: column;
}
.audio-label > .audio-title + .audio-label audio {
    margin-left: 5rem;
}
.audio-label .audio-player {
    max-width: 80%;
    flex-grow: 1;
    margin: 0 0 0 auto;
}
.text-overflow {
    text-overflow: ellipsis;
}

/* 著作権表示欄関連 */ 

.CopyrightInfo {
    color: white;
    padding: 1em;
    position: absolute;
    left:  0;
    transition: 250ms;
    z-index: 5;
}
.CopyrightInfo p {
    margin: 0;
    font-size: 0.5em;
    text-wrap: nowrap;
}
.CopyrightInfo-outer > .CopyrightInfo {
    opacity: 0;
    pointer-events: none;
}
.CopyrightInfo-outer:hover > .CopyrightInfo {
    opacity: 1;
    pointer-events: auto;
}
.CopyrightInfo-outer {
    display: block;
    position: relative;
}
.CopyrightInfo-outer > span {
    display: block;
    color: var(--color-link);
    width: fit-content;
}
.CopyrightInfo-outer > span::after {
    content: "";
    width: 100%;
    height: 0.15em;
    background: var(--color-link);
    display: block;
}
.caption .CopyrightInfo-outer > span {
    background: white;
    margin-top: 5px;
    padding: 5px;
}

/* 説明文つき画像 */
.caption-img img, .caption-img video, .caption-img iframe {
    height: 10vw;
}

/*  */

#dataBar::-webkit-scrollbar {
    height: 1rem;
}
.panorama {
    width: 100%;
    overflow-x: scroll;
    overflow-y: hidden;
}
span.inv {
    background-color: yellow;
    display: inline;
}
span[source]::after {
    content: attr(index);
    font-size: 1.2rem;
    position: absolute;
}

/* マップ関連 */

.map {
    margin: 0 auto;
    width: fit-content;
    height: fit-content;
    display: flex;
    flex-direction: column;
}
.map svg {
    max-width: 100%;
}

/* テーブル要素関連 */

table,td{
    border: 0.1rem solid #333;
}
table {
    font-size: 2rem;
    margin: 0;
    border-collapse: collapse;
    border: 0.1rem solid #333;
}
table * {
    padding: 2px 10px;
}

/* テーブル要素関連 */

/* フッターコピーライト表記 */

.copyright {
    font-size: 1.2rem;
    display: block;
    padding: 1.5rem;
    text-align: center;
    color: var(--color2);
    background-color: var(--color7);
    width: 100%;
}

/*  */

.species-link {
    color: black;
    text-decoration: none;
}

.load-later {
    
}
.load-later img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.load-later .loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}
.sub {
    display: flex;
    flex-direction: column;
}
.sub span:nth-of-type(2) {
    font-size: 0.5em;
    position: relative;
    width: fit-content;
    margin: auto;
}
.sub span:nth-of-type(2)::before, .sub span:nth-of-type(2)::after {
    content: "";
    width: 5rem;
    height: 3px;
    background: black;
    display: block;
    position: absolute;
    top: 50%;
}
.sub span:nth-of-type(2)::before {
    left: 0;
    transform: translate(calc(-100% + -20px), -50%);
}
.sub span:nth-of-type(2)::after {
    right: 0;
    transform: translate(calc(100% + 20px), -50%);
}

section .sub span:nth-of-type(2)::before, section .sub span:nth-of-type(2)::after {
    background: white;
}

/* ローディング記号 */

.loader {
    font-size: 80px;
    border: 0.12em solid rgba(0, 0, 0, 0.14);
    border-top: 0.12em solid white;
    border-radius: 100%;
    position: relative;
    width: 1em !important;
    height: 1em !important;
    display: block;
    animation: rotation 1.4s infinite cubic-bezier(0.51, 0.17, 0.4, 0.79);
    -webkit-animation: rotation 1.4s infinite cubic-bezier(0.51, 0.17, 0.4, 0.79);
}
@-webkit-keyframes rotation {
    0% {
        -webkit-transform: translate(-50%, -50%) rotate(0deg);
        transform: translate(-50%, -50%) rotate(0deg);
    }
    100% {
        -webkit-transform: translate(-50%, -50%) rotate(360deg);
        transform: translate(-50%, -50%) rotate(360deg);
    }
}
@keyframes rotation {
  0% {
    -webkit-transform: translate(-50%, -50%) rotate(0deg);
    transform: translate(-50%, -50%) rotate(0deg);
  }
  100% {
    -webkit-transform: translate(-50%, -50%) rotate(360deg);
    transform: translate(-50%, -50%) rotate(360deg);
  }
}